Complexity:
Subject: Implement locale-aware resource management subsystem
Description

Existing resource management subsystem needs to be extended in order to provide convenient API for management of
locale-dependent resources, like images with text etc.

Related issues:
related to TYPO3.Flow - Feature # 6724: Internationalization, locale, multi-l... Resolved

Associated revisions
Revision 7bed05c1 - 2010-05-21 18:17 - Karol Gusak

[~TASK] FLOW3 (Locale): Reimplemented the locale collection structure and dependent classes, cleaned the naming. Relates to #7720.
[+FEATURE] FLOW3 (Locale): Added basic support for locale-dependent resources. Relates to #7721.

History
#1 - 2010-05-21 19:28 - Karol Gusak
- Status changed from New to Accepted
- % Done changed from 0 to 10

Finding localized versions of resource files is done, it will be a base for all other locale-resource functionality.

#2 - 2010-08-15 21:43 - Karol Gusak
- Status changed from Accepted to Resolved
- % Done changed from 10 to 100

Well, it came very different than I assumed in the beginning - I think that the solution with locale identifiers in resources' names is enough for now.

#3 - 2010-08-18 10:47 - Karsten Dambekalns
- Target version set to 1.0 alpha 11
